# $Revision: 1.26 $, $Date: 2012/01/13 13:28:28 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (uses network)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Module
%define		pnam	Signature
Summary:	Module::Signature - module signature file manipulation
Summary(pl.UTF-8):	Module::Signature - obróbka pliku sygnatury modułu
Name:		perl-Module-Signature
Version:	0.68
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Module/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c63c0b5c4e7162fc0c44512e1f832e5e
URL:		http://search.cpan.org/dist/Module-Signature/
# gnupg or Crypt::OpenPGP
BuildRequires:	gnupg
%if %{with tests}
BuildRequires:	gnupg-plugin-keys_hkp
BuildRequires:	perl-Digest-SHA1
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Module::Signature adds cryptographic authentications to CPAN
distributions, via the special SIGNATURE file.

%description -l pl.UTF-8
Module::Signature dodaje uwierzytelnianie kryptograficzne do
dystrybucji CPAN poprzez specjalny plik SIGNATURE.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
echo n | %{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	--skipdeps

%{__make}

%if %{with tests}
# ugly?
mkdir -p ~/.gnupg
%{__make} test
%endif 

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/cpansign
%{perl_vendorlib}/Module/Signature.pm
%{_mandir}/man3/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Module-Signature.spec,v $
Revision 1.26  2012/01/13 13:28:28  zbyniu
- up to 0.68

Revision 1.25  2008/03/24 16:34:09  qboosh
- generic URL

Revision 1.24  2007-12-19 15:59:31  zbyniu
- up to 0.55

Revision 1.23  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.22  2007/02/12 00:49:42  baggins
- converted to UTF-8

Revision 1.21  2006/08/25 22:27:01  qboosh
- more

Revision 1.20  2006/08/25 21:59:42  ankry
- reflect last change in comment

Revision 1.19  2006/08/25 21:33:03  radek
- tests off by default (use network)

Revision 1.18  2006/08/25 20:55:18  radek
- BR: gnupg-plugin-keys_hkp for tests

Revision 1.17  2006/02/26 22:51:32  agaran
- updated to 0.53 rel 1

Revision 1.16  2005/01/07 12:11:47  adamg
- release 3 (for fixed deps on ac-i386)

Revision 1.15  2005/01/03 21:04:24  adamg
- release 2

Revision 1.14  2005/01/03 20:47:25  adamg
- make sure ~/.gnupg exists before performing tests (fails otherwise)

Revision 1.13  2005/01/03 19:56:28  adamg
- updated to 0.44

Revision 1.12  2004/12/01 17:59:11  radek
- autoupdated to 0.42

Revision 1.11  2004/11/03 22:30:35  paladine
- formatting

Revision 1.10  2004/08/08 19:05:21  adamg
- updated to 0.41

Revision 1.9  2004/05/07 00:32:02  ankry
- rel. 2

Revision 1.8  2004/04/24 14:52:16  ankry
- license fixes / unification

Revision 1.7  2004/04/14 21:16:32  ankry
- cosmetics, unification

Revision 1.6  2004/02/13 12:43:20  migo
- don't answer unasked question in Makefile.PL

Revision 1.5  2004/01/26 20:58:17  qboosh
- fixed perl epoch, unifications/verboseness

Revision 1.4  2004/01/24 23:25:05  arekm
- autoupdated to 0.38

Revision 1.3  2003/11/08 19:50:04  migo
- up to 0.37

Revision 1.2  2003/10/29 21:57:05  qboosh
- pl, unifications

Revision 1.1  2003/10/29 21:39:55  migo
- initial revision
